import { Pipeline } from './pipeline';
/**
 * @experimental
 */
export interface DataProductProperties {
    /**
     * @experimental
     */
    readonly accountId: string;
    /**
     * @experimental
     */
    readonly dataCatalogAccountId?: string;
    /**
     * @experimental
     */
    readonly databaseName: string;
    /**
     * @experimental
     */
    readonly pipelines: Pipeline[];
}
/**
 * @experimental
 */
export declare class DataProduct {
    /**
     * @experimental
     */
    readonly accountId: string;
    /**
     * @experimental
     */
    readonly dataCatalogAccountId?: string;
    /**
     * @experimental
     */
    readonly databaseName: string;
    /**
     * @experimental
     */
    readonly pipelines: Pipeline[];
    /**
     * @experimental
     */
    constructor(props: DataProductProperties);
}
